Package org.zkoss.zk.ui.select.impl

## Enum Token.Type

- java.lang.Object
- - java.lang.Enum<Token.Type>
  - - org.zkoss.zk.ui.select.impl.Token.Type

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<Token.Type>`
  Enclosing class:
    Token

      public static enum Token.Type
      extends java.lang.Enum<Token.Type>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CBN_ADJACENT_SIBLING` |
    `CBN_CHILD` |
    `CBN_GENERAL_SIBLING` |
    `CLOSE_BRACKET` |
    `CLOSE_PAREN` |
    `DOUBLE_QUOTE` |
    `IDENTIFIER` |
    `MINOR_WHITESPACE` |
    `NTN_CLASS` |
    `NTN_ID` |
    `NTN_PSDOCLS` |
    `NTN_PSDOELEM` |
    `OP_BEGIN_WITH` |
    `OP_CONTAIN` |
    `OP_END_WITH` |
    `OP_EQUAL` |
    `OPEN_BRACKET` |
    `OPEN_PAREN` |
    `PARAM_SEPARATOR` |
    `SELECTOR_SEPARATOR` |
    `SINGLE_QUOTE` |
    `UNIVERSAL` |
    `UNKNOWN_CHAR` |
    `WHITESPACE` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Token.Type` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static Token.Type[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IDENTIFIER

          public static final Token.Type IDENTIFIER

    - #### UNIVERSAL

          public static final Token.Type UNIVERSAL

    - #### WHITESPACE

          public static final Token.Type WHITESPACE

    - #### MINOR_WHITESPACE

          public static final Token.Type MINOR_WHITESPACE

    - #### SELECTOR_SEPARATOR

          public static final Token.Type SELECTOR_SEPARATOR

    - #### PARAM_SEPARATOR

          public static final Token.Type PARAM_SEPARATOR

    - #### CBN_CHILD

          public static final Token.Type CBN_CHILD

    - #### CBN_ADJACENT_SIBLING

          public static final Token.Type CBN_ADJACENT_SIBLING

    - #### CBN_GENERAL_SIBLING

          public static final Token.Type CBN_GENERAL_SIBLING

    - #### NTN_ID

          public static final Token.Type NTN_ID

    - #### NTN_CLASS

          public static final Token.Type NTN_CLASS

    - #### NTN_PSDOCLS

          public static final Token.Type NTN_PSDOCLS

    - #### NTN_PSDOELEM

          public static final Token.Type NTN_PSDOELEM

    - #### OP_EQUAL

          public static final Token.Type OP_EQUAL

    - #### OP_BEGIN_WITH

          public static final Token.Type OP_BEGIN_WITH

    - #### OP_END_WITH

          public static final Token.Type OP_END_WITH

    - #### OP_CONTAIN

          public static final Token.Type OP_CONTAIN

    - #### SINGLE_QUOTE

          public static final Token.Type SINGLE_QUOTE

    - #### DOUBLE_QUOTE

          public static final Token.Type DOUBLE_QUOTE

    - #### OPEN_BRACKET

          public static final Token.Type OPEN_BRACKET

    - #### CLOSE_BRACKET

          public static final Token.Type CLOSE_BRACKET

    - #### OPEN_PAREN

          public static final Token.Type OPEN_PAREN

    - #### CLOSE_PAREN

          public static final Token.Type CLOSE_PAREN

    - #### UNKNOWN_CHAR

          public static final Token.Type UNKNOWN_CHAR

  - ### Method Detail

    - #### values

          public static Token.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Token.Type c : Token.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Token.Type valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null